Download it now!
Bug 75577 - Many perl errors when building LO packages
Summary: Many perl errors when building LO packages
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: x86 (IA32) Linux (All)
: medium minor
Assignee: Jan-Marek Glogowski
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-27 15:25 UTC by Jan-Marek Glogowski
Modified: 2014-03-24 09:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Infos from Data::Dumper and debug patch. (6.86 KB, text/plain)
2014-02-27 15:25 UTC, Jan-Marek Glogowski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan-Marek Glogowski 2014-02-27 15:25:17 UTC
Created attachment 94828 [details]
Infos from Data::Dumper and debug patch.

I'm currently building master and 4.1 with many languages, help and dictionaries and creating Debian packages.

I see many perl errors for particular packages like:

Use of uninitialized value $value in lc at /home/jan-marek.glogowski/Development/libreoffice/branch-4-1/solenv/bin/modules/installer/packagelist.pm line 442.

I dumped the Perl hash, which has an undefined value in 'PRODUCTADDON'. Probably it's fine to ignore all undef values and do a

next if (! defined $value);
Comment 1 Jean-Baptiste Faure 2014-02-28 05:32:12 UTC
Same thing for me. It seems not having bad effect on the installation packages.
Already there in 4.2 branch and probably in older branches.
Set version field accordingly.

Best regards. JBF
Comment 2 Jan-Marek Glogowski 2014-02-28 09:50:06 UTC
This bug is already in 4.1.
Comment 3 Commit Notification 2014-03-24 09:36:52 UTC
Jan-Marek Glogowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0a841226089679d2fed752607ce157ad0f5af330

fdo#75577: Add and use $helppackaddon variable



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.